--- a/readme.cal
+++ b/readme.cal
@@ -103,8 +103,9 @@
 Fixed a bug reported by Paul Beam.  Date descriptions longer than 50
 characters now do not blank out the next line in the calendar.
 
-2.7
-Other contributors added improved commandline switches, allowing the
+2.7 - 29 March 1993
+Darrel Hankerson hankedr@mail.auburn.edu and
+other contributors added improved commandline switches, allowing the
 appointment file and color file to be specified on the commandline, and
 also the ability to display next month's appointments on the current
 month if there is room to do so.  Processing of commandline arguments
@@ -113,19 +114,29 @@
 and DPATH for data files.  A potentially serious bug pertaining to path
 concatenation was caught.
 
+  New command line options:
+    [-nodata] [-data-file=data-file]
+  and color options (if compiling with -DUSE_COLOR for OS/2 or MSDOS)
+    [-nocolor] [-color-file=color-file]
+
 2.8
 Added --europe switch, so that the calendar display has Monday as the
 first day of the week, which is a more familiar format in Europe.
 
-2.9
-A contributor sent code with several fine modifications, but it was useful
-only for the Borland compiler.  I have re-done it for ANSI compatibility.
+2.9 - 05 June 1993
+Don Retzlaff (donr@gab.unt.edu, University of North Texas)
+sent code with several fine modifications, but it was useful
+only for the Borland compiler.  Alex Matulich rewrote it for ANSI compatibility.
 The maximum number of appointments to be displayed now defaults to 24, and
 is adjustable on the commandline.  Multiple data files may be specified.
 Cal no longer stops reading a data file when it has filled up its maximum
 number of descriptions; it now reads through the whole file so that it can
 sort out all dates to be displayed.
 
+  New command line option: [--maxappts=num]
+  Allow multiple --datafile= command line parameters
+
+
 2.9a&b
 a: Fixed a bug in 2.8 and 2.9 that caused cal to attempt to read its color
 file before determining its home directory.  Also added a contributor's
@@ -157,19 +168,20 @@
 for compatibility with previous versions).  Next-month birthdays and
 anniversaries are no longer displayed a year older than they should be.
 
-3.3
+3.3 
 Fixed a problem where the "next month" appointment descriptions displayed
 during December were those of January that same year, instead of next year.
 Fixed problem that sometimes caused weekly reminders to be duplicated.
 
-3.4
+3.4 - 31 August 1995
 Chris Bagwell modified the source extensively to use ANSI color control
 instead of hardware control, and made other unix-related changes.  Added
 support for periodic reminders (e.g. payday every 14 days).  Added -p flag.
+Added -8bit option for enabling 8-bit characters under unix.
 
-3.5
-Dan Fandrich added support for unix "reminder(1)" date file.  Cleaned up
-source code.  Fixed a bug in periodic reminders that caused all periodic
+3.5 - 11 January 1996
+Dan Fandrich dan@fch.wimsey.bc.ca added support for unix "reminder(1)" date file.
+Cleaned up source code.  Fixed a bug in periodic reminders that caused all periodic
 dates for that month to have todays date on the day of the event.  Added
 support for reading an environment variable CALOPT.  If this variable is
 set then it will be read in and any command line options will be used.
